#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x43e40f23, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x789d71e8, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x3dbfd2f2, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xc98b88e5, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xc28f20d7, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xa37f4b95, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xff36855f, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x55d45a60, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x1b5709b4, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xbe48687d, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x7ae13bf9, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xe99d12dd, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xc7ed2470, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x8df75cb1, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xb7be1dda, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x226f7e98, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x94132866, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x080fcd10, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xe2a27bf6, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xe75613f9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xb50b3606, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x25a1e09e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x6cac77c1, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xf1acb468, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x0fa8fe3e, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x48d50acf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xf45f0f6d, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x089d1a31, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x1f349be7, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x24c7ef69, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x89c18caa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdb6375d3, "kthread_queue_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0xa1ee27a3, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xccf3608c, "kthread_create_worker" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0xa11b1225, "sched_set_fifo" },
	{ 0xdc63760d, "crypto_register_aead" },
	{ 0xd6e4e282, "crypto_unregister_aead" },
	{ 0xff5528c8, "crypto_register_ahash" },
	{ 0x1b995b68, "crypto_unregister_ahash" },
	{ 0xc1941719, "crypto_register_akcipher" },
	{ 0x37fe410c, "crypto_unregister_akcipher" },
	{ 0xea4c1b2b, "crypto_register_kpp" },
	{ 0xef5a4293, "crypto_unregister_kpp" },
	{ 0xe82a8195, "crypto_register_skcipher" },
	{ 0x9798ce6c, "crypto_unregister_skcipher" },
	{ 0x2732e87, "crypto_enqueue_request" },
	{ 0xc946e7e9, "crypto_dequeue_request" },
	{ 0xb574baa3, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3d313a4a, "kthread_destroy_worker" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
