#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x145a60a6, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x1f281d27, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x672394b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43878bf6, "drm_mode_probed_add" },
	{ 0x94ee46f3, "drm_set_preferred_mode" },
	{ 0x3cdb3361, "pwm_put" },
	{ 0x84395a6f, "regulator_disable" },
	{ 0x3e6f9518, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x399f5c35, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xee940ae6, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6c6a8b6f, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xe19ab69, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xea93e037, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb4221e97, "drm_atomic_helper_check_plane_state" },
	{ 0xb756e7a5, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x54b78832, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x28091978, "drm_dev_unplug" },
	{ 0xd4160e56, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xe11bd732, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x9f8391c5, "drm_gem_fb_begin_cpu_access" },
	{ 0xea9c3640, "drm_fb_xrgb8888_to_rgb332" },
	{ 0xc5b0c2c2, "drm_gem_fb_end_cpu_access" },
	{ 0x4b54437d, "drm_fb_xrgb8888_to_gray8" },
	{ 0x5fbc8e3e, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4e6499, "drm_fb_xrgb8888_to_mono" },
	{ 0xff4b38df, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1872baaa, "regulator_enable" },
	{ 0xb9fdb0a3, "pwm_get" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xd3afefb3, "__drm_atomic_helper_crtc_reset" },
	{ 0x734b0dc2, "__drm_gem_reset_shadow_plane" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x3f69a8d7, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x5ff429e0, "drm_gem_shmem_dumb_create" },
	{ 0xc6c18c70, "noop_llseek" },
	{ 0xf8462938, "drm_read" },
	{ 0x16df8d06, "drm_poll" },
	{ 0x28f6e5e2, "drm_ioctl" },
	{ 0x26664772, "drm_compat_ioctl" },
	{ 0x2d17bb46, "drm_gem_mmap" },
	{ 0x9a7628bd, "drm_open" },
	{ 0x9d01ca, "drm_release" },
	{ 0xda7279c3, "drm_gem_fb_create_with_dirty" },
	{ 0xeb391bd1, "drm_atomic_helper_check" },
	{ 0x1c4618bb, "drm_atomic_helper_commit" },
	{ 0xcf590211, "drm_atomic_helper_connector_reset" },
	{ 0x8f4d077a, "drm_helper_probe_single_connector_modes" },
	{ 0x5c148076, "drm_connector_cleanup" },
	{ 0x11f2a279, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xb2ca20d9, "drm_atomic_helper_connector_destroy_state" },
	{ 0xdebf5f19, "drm_encoder_cleanup" },
	{ 0x9f72b5cc, "drm_crtc_cleanup" },
	{ 0xfe7111e2, "drm_atomic_helper_set_config" },
	{ 0x7a947681, "drm_atomic_helper_page_flip" },
	{ 0x5d957681, "drm_atomic_helper_update_plane" },
	{ 0x30ad65f4, "drm_atomic_helper_disable_plane" },
	{ 0x4dbf2b82, "drm_plane_cleanup" },
	{ 0xa11d8116, "drm_gem_begin_shadow_fb_access" },
	{ 0x7de6adf5, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0637d7d, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73e181d7, "__devm_drm_dev_alloc" },
	{ 0x2ec34ccf, "device_get_match_data" },
	{ 0xe4679946, "device_property_read_u32_array" },
	{ 0xda4c375d, "device_property_read_u8_array" },
	{ 0x2631356e, "device_property_present" },
	{ 0xae705f27, "devm_gpiod_get_optional" },
	{ 0x4c3dd45b, "devm_regulator_get" },
	{ 0x1f30d38c, "devm_backlight_device_register" },
	{ 0xb1edc22b, "drmm_mode_config_init" },
	{ 0x5d3af1ae, "drm_universal_plane_init" },
	{ 0xbdbc4631, "drm_plane_enable_fb_damage_clips" },
	{ 0xc4475afc, "drm_crtc_init_with_planes" },
	{ 0x30cc434a, "drm_encoder_init" },
	{ 0x861ed5f8, "drm_connector_init" },
	{ 0x2d4a4ff9, "drm_connector_attach_encoder" },
	{ 0x87850d63, "drm_mode_config_reset" },
	{ 0x69a8ced1, "drm_dev_register" },
	{ 0x6e45634b, "drm_fbdev_shmem_setup" },
	{ 0xb87a8473, "dev_err_probe" },
	{ 0x228f9b51, "_dev_err" },
	{ 0xbc52265b, "drm_mode_duplicate" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C157EB9E09F89E3AFEB376B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
