#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xb5d93c86, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x092ab34b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45c0bfa3, "const_pcpu_hot" },
	{ 0xdb43a39a, "usb_submit_urb" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0xc4a2a663, "usb_queue_reset_device" },
	{ 0xd1ae945b, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd10b287a, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x228f9b51, "_dev_err" },
	{ 0xcdac200e, "usb_free_coherent" },
	{ 0xcdb0b2cf, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc6c18c70, "noop_llseek" },
	{ 0x32a460e8, "down" },
	{ 0x64f454fa, "hid_hw_request" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbca6ed7c, "hid_hw_open" },
	{ 0x1eeb7cd0, "usb_control_msg" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xc19df98c, "usb_register_dev" },
	{ 0x8500909f, "hid_check_keys_pressed" },
	{ 0xd972ea98, "fasync_helper" },
	{ 0xaa4fa382, "usb_unpoison_urb" },
	{ 0x22bdeb41, "usb_autopm_put_interface_async" },
	{ 0x9ff6271e, "hid_hw_close" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4cc6f2a2, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8179408c, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x8328c4b7, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x9203b28e, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2257f19b, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a01a9b1, "usb_unlink_urb" },
	{ 0x7cd98e78, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x69f885d1, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x907975d5, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xd24a8895, "usb_deregister_dev" },
	{ 0x5fb750cb, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2073d24a, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7331ad18, "__dev_fwnode" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x9e33fe2a, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc200369a, "hid_output_report" },
	{ 0xd9265fa7, "hid_lookup_quirk" },
	{ 0x898d9dfa, "usb_alloc_urb" },
	{ 0x962f96ff, "device_set_wakeup_enable" },
	{ 0x297ac6c7, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb2eb15ef, "usb_free_urb" },
	{ 0x955ab419, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x785272dc, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5be5ea6a, "hid_driver_suspend" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5fb8bb94, "kill_fasync" },
	{ 0x324cabe3, "usb_register_driver" },
	{ 0x880ea5c1, "hid_driver_reset_resume" },
	{ 0xbfc97bdc, "up" },
	{ 0xfedbb7e6, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x302d5b34, "hidinput_count_leds" },
	{ 0x3f288ccc, "usb_autopm_put_interface_no_suspend" },
	{ 0xc6802126, "hid_driver_resume" },
	{ 0x58d186f7, "usb_autopm_get_interface_no_resume" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3891df55, "hid_allocate_device" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8a7a0d28, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e988fd6, "usb_interrupt_msg" },
	{ 0x2182dddb, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd195491f, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8b821788, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdfabdb2e, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
