#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x568aade6, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x398f256d, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xbe4c6051, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x94e96284, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70dbc2bc, "__pm_runtime_use_autosuspend" },
	{ 0x46ee3dea, "__pm_runtime_suspend" },
	{ 0xa95e846a, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2bdd478, "iio_trigger_unregister" },
	{ 0xf352cf76, "iio_trigger_free" },
	{ 0x8bcd2004, "iio_triggered_buffer_cleanup" },
	{ 0xd70d7445, "__pm_runtime_disable" },
	{ 0x135e47d5, "sensor_hub_device_close" },
	{ 0x5e8b2eda, "hid_sensor_get_usage_index" },
	{ 0x572ab045, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2db595ff, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xebb93cdb, "sensor_hub_device_open" },
	{ 0x999ed707, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ef93094, "hid_sensor_set_report_latency" },
	{ 0xf18197dc, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x5fac4588, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x1eb3046b, "iio_triggered_buffer_setup_ext" },
	{ 0x54e58493, "iio_device_id" },
	{ 0x22aa5293, "__iio_trigger_alloc" },
	{ 0x1443c84a, "iio_trigger_register" },
	{ 0xc95c4d68, "get_device" },
	{ 0x66c925f8, "__module_get" },
	{ 0x5e1a969c, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xadc87808, "pm_runtime_enable" },
	{ 0xdd2bae79, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "E6C5AD7E4C6A1C7582A12C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
