#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x3452cb14, "");
SYMBOL_CRC(bme280_chip_info, 0x43b7ead0, "");
SYMBOL_CRC(bmp380_chip_info, 0xa95d2a62, "");
SYMBOL_CRC(bmp580_chip_info, 0x519f61d4, "");
SYMBOL_CRC(bmp180_chip_info, 0x4833eecf, "");
SYMBOL_CRC(bmp280_common_probe, 0xfa9a5b9c, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x1a37e133, "");
SYMBOL_CRC(bmp180_regmap_config, 0xfbb2b08b, "");
SYMBOL_CRC(bmp280_regmap_config, 0x11346de9, "");
SYMBOL_CRC(bme280_regmap_config, 0x3cfcdb59, "");
SYMBOL_CRC(bmp380_regmap_config, 0xfe66db08, "");
SYMBOL_CRC(bmp580_regmap_config, 0xf01a678d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb87a8473, "dev_err_probe" },
	{ 0xe9688ef6, "iio_trigger_notify_done" },
	{ 0x46ee3dea, "__pm_runtime_suspend" },
	{ 0x467c4c08, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x70dbc2bc, "__pm_runtime_use_autosuspend" },
	{ 0xd70d7445, "__pm_runtime_disable" },
	{ 0x99f030c7, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe0637d7d, "regmap_write" },
	{ 0xedee7e0d, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf9af048e, "gpiod_set_value" },
	{ 0x20f622ed, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x19eaf151, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x65b45cb, "complete" },
	{ 0x5e1a969c, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd259d352, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae705f27, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa95e846a, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc87808, "pm_runtime_enable" },
	{ 0xb2f986a7, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x2f9797df, "irq_get_irq_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7e85bea3, "__devm_iio_device_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1ee7c702, "devm_iio_device_alloc" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x3095790, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x104c91c1, "regulator_bulk_enable" },
	{ 0xf0a89731, "devm_regulator_bulk_get" },
	{ 0xa5909f22, "iio_get_time_ns" },
	{ 0x67e0abcb, "regmap_read" },
	{ 0xea93e037, "regmap_bulk_write" },
	{ 0xdd2bae79, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf991aa2, "regmap_bulk_read" },
	{ 0x1838696c, "regmap_update_bits_base" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
