#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xfcd13ae2, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xec6fed48, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xff1b7b1b, "");
SYMBOL_CRC(rdma_res_to_id, 0xf96dbdb9, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x5a113461, "");
SYMBOL_CRC(rdma_create_user_id, 0x930f7f16, "");
SYMBOL_CRC(rdma_create_qp, 0x868089a0, "");
SYMBOL_CRC(rdma_destroy_qp, 0xc8c72d5a, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x2750d9a2, "");
SYMBOL_CRC(rdma_destroy_id, 0x81e6cb9d, "");
SYMBOL_CRC(rdma_get_service_id, 0x97f288a9, "");
SYMBOL_CRC(rdma_read_gids, 0xa8a4775d, "");
SYMBOL_CRC(rdma_set_service_type, 0xa4c97a41, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6c188fe9, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x2449163f, "");
SYMBOL_CRC(rdma_set_ib_path, 0x56242d17, "");
SYMBOL_CRC(rdma_resolve_route, 0xde15663f, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x0afdb78e, "");
SYMBOL_CRC(rdma_set_afonly, 0xf434bca5, "");
SYMBOL_CRC(rdma_listen, 0xd3d894ef, "");
SYMBOL_CRC(rdma_resolve_addr, 0xf9132cd6, "");
SYMBOL_CRC(rdma_bind_addr, 0x4754bed5, "");
SYMBOL_CRC(rdma_connect_locked, 0xa2502279, "");
SYMBOL_CRC(rdma_connect, 0x13ea93f1, "");
SYMBOL_CRC(rdma_connect_ece, 0xaca025f4, "");
SYMBOL_CRC(rdma_accept, 0x5de5be2d, "");
SYMBOL_CRC(rdma_accept_ece, 0x0bb7e32e, "");
SYMBOL_CRC(rdma_lock_handler, 0xf6985c64, "");
SYMBOL_CRC(rdma_unlock_handler, 0x70d36f28, "");
SYMBOL_CRC(rdma_notify, 0xd345cd3e, "");
SYMBOL_CRC(rdma_reject, 0xd94babcb, "");
SYMBOL_CRC(rdma_disconnect, 0x8e47ca81, "");
SYMBOL_CRC(rdma_join_multicast, 0x204ec98a, "");
SYMBOL_CRC(rdma_leave_multicast, 0x0e5b485b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b17d648, "___ratelimit" },
	{ 0x346b6c1a, "iw_cm_connect" },
	{ 0xba8579c0, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x40c37c81, "rdma_addr_cancel" },
	{ 0x939ad7c3, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x53e02121, "ib_sa_get_mcmember_rec" },
	{ 0x45c0bfa3, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x4d544257, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x66f533e3, "ib_sa_path_rec_get" },
	{ 0x64a4bb9e, "ib_create_cm_id" },
	{ 0xf0dd6120, "__ip_mc_dec_group" },
	{ 0x184eb1c0, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x93385381, "perf_trace_run_bpf_submit" },
	{ 0x78d6dad3, "ib_init_ah_from_mcmember" },
	{ 0x67d9f422, "rdma_destroy_ah_attr" },
	{ 0x9b00a622, "ib_set_client_data" },
	{ 0x976ccb71, "init_net" },
	{ 0xe8f59fb5, "ib_get_cached_pkey" },
	{ 0xb2161335, "configfs_register_subsystem" },
	{ 0x59683246, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xe5d3b854, "rdma_put_gid_attr" },
	{ 0x455d9566, "config_group_init_type_name" },
	{ 0xb5cbae66, "dev_get_by_index" },
	{ 0x10a5faef, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf3abedd4, "ib_send_cm_rep" },
	{ 0xf8b264ca, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x376d5460, "iw_cm_disconnect" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x27931222, "bpf_trace_run1" },
	{ 0xe0f1e8c1, "ib_destroy_qp_user" },
	{ 0x9936bd4d, "unregister_pernet_subsys" },
	{ 0xcad572a7, "ib_cm_init_qp_attr" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x99b0768b, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe106a707, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1cbeba1c, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x69256439, "ib_get_cached_port_state" },
	{ 0xb08de299, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xca35fac1, "rdma_restrack_del" },
	{ 0xb0ecdc8a, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xbf672ff2, "bpf_trace_run3" },
	{ 0x99f3e43c, "__put_net" },
	{ 0x36416648, "rdma_restrack_parent_name" },
	{ 0x71296b7f, "iw_cm_accept" },
	{ 0xcdd8f330, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb042cc7, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f006ccc, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xc799af6f, "iw_cm_init_qp_attr" },
	{ 0xb1357fad, "dst_release" },
	{ 0x73977d9, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x57675181, "ib_send_cm_dreq" },
	{ 0xbbf7ac9e, "ib_send_cm_req" },
	{ 0x83bee6c7, "ib_create_qp_kernel" },
	{ 0xd75a5f1e, "ib_sa_join_multicast" },
	{ 0x4d82bdce, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x237b64b5, "rdma_get_gid_attr" },
	{ 0xec45e99, "rdma_restrack_new" },
	{ 0x2d217ca, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xadfbddb8, "iw_cm_listen" },
	{ 0x55dbaf2, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x138749bb, "rdma_copy_src_l2_addr" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x1a9c2a45, "rdma_resolve_ip" },
	{ 0x2c2facc9, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa516ef5c, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9909c15d, "ib_unregister_client" },
	{ 0xebbdc30, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x294ebd00, "ib_send_cm_sidr_rep" },
	{ 0xa574ba43, "bpf_trace_run4" },
	{ 0x15985710, "config_group_init" },
	{ 0x5df3cdb2, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9980d1a2, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xffa17c43, "trace_raw_output_prep" },
	{ 0xed3f821a, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe03d5377, "__trace_trigger_soft_disabled" },
	{ 0x74d7e447, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0x500ed5c8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc8fb09e, "rdma_query_gid" },
	{ 0x921fd0ea, "rt6_lookup" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0xa97452be, "rdma_translate_ip" },
	{ 0x484fea09, "bpf_trace_run2" },
	{ 0x48c5d083, "rdma_dev_access_netns" },
	{ 0xee9dbb69, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc80fdc87, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48e1c103, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x643e10d, "register_pernet_subsys" },
	{ 0x3f68acf2, "trace_event_buffer_commit" },
	{ 0xc60a7785, "ip_mc_inc_group" },
	{ 0x3b9013a6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x23a26133, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "AABAB2B5BC01FFF17C7E0B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
