#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");

SYMBOL_CRC(md_cluster_ops, 0xb647bc17, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0xef2dcfed, "");
SYMBOL_CRC(mddev_suspend, 0x8951a2e0, "_gpl");
SYMBOL_CRC(mddev_resume, 0xc675f75e, "_gpl");
SYMBOL_CRC(md_flush_request, 0x8eaa624c, "");
SYMBOL_CRC(mddev_init, 0xfa38cbdf, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xd85bbbe2, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x956ecea1, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x5ed6e52b, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xd3fd12a3, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0xb1cce7dc, "_gpl");
SYMBOL_CRC(sync_page_io, 0x52487019, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xd4a96815, "");
SYMBOL_CRC(md_integrity_register, 0x95c59c19, "");
SYMBOL_CRC(md_update_sb, 0x7d2cf674, "");
SYMBOL_CRC(md_rdev_init, 0x3e390365, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x524b8bc4, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xad5d050a, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xe74eeeb4, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0x3a692ce8, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0x2329fb9a, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0x60e6ff17, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x36370808, "_gpl");
SYMBOL_CRC(md_run, 0x72357ab2, "_gpl");
SYMBOL_CRC(md_start, 0x49bec176, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x2fabf041, "_gpl");
SYMBOL_CRC(md_stop, 0x41d78e55, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xfb9f8cca, "");
SYMBOL_CRC(md_wakeup_thread, 0x744bf667, "");
SYMBOL_CRC(md_register_thread, 0x31b43e61, "");
SYMBOL_CRC(md_unregister_thread, 0xf0bbca01, "");
SYMBOL_CRC(md_error, 0x162b4fb8, "");
SYMBOL_CRC(register_md_personality, 0x63505b2e, "");
SYMBOL_CRC(unregister_md_personality, 0xa5982e2e, "");
SYMBOL_CRC(register_md_cluster_operations, 0x87d82aeb, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x30a9e920, "");
SYMBOL_CRC(md_write_start, 0xf1196d16, "");
SYMBOL_CRC(md_write_inc, 0x225d9cf8, "");
SYMBOL_CRC(md_write_end, 0x58fe0a4c, "");
SYMBOL_CRC(md_submit_discard_bio, 0x0d4fa42c, "_gpl");
SYMBOL_CRC(md_account_bio, 0x634ebdce, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0xb1a82c9f, "_gpl");
SYMBOL_CRC(md_allow_write, 0x91fca589, "_gpl");
SYMBOL_CRC(md_do_sync, 0xb8090934, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xfc82d89b, "");
SYMBOL_CRC(md_reap_sync_thread, 0xeb94bad7, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x9e71ac4d, "");
SYMBOL_CRC(md_finish_reshape, 0xa06c9d33, "");
SYMBOL_CRC(rdev_set_badblocks, 0x7ed6d221, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xd837759f, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x56ab6334, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa83b291, "sysfs_break_active_protection" },
	{ 0xcf5b42ae, "seq_write" },
	{ 0x6c4e182d, "__folio_put" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4089e8b9, "remove_proc_entry" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xcc72a22e, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x32d0e50c, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1e052f1f, "kobject_uevent" },
	{ 0xe01c616, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xed7eb6c9, "bd_link_disk_holder" },
	{ 0xa57291d3, "alloc_pages_noprof" },
	{ 0x9665110, "queue_limits_commit_update" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x2660bcd6, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8c83ed9d, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbf4c145f, "seq_open" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x56fb9dde, "badblocks_clear" },
	{ 0x7d394b60, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x293f7a5a, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8fee6649, "badblocks_store" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x32770951, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xac730224, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x30241668, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9d04e034, "kobject_put" },
	{ 0xa694a786, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xbb5a67cb, "set_disk_ro" },
	{ 0xdce98fbb, "__blk_alloc_disk" },
	{ 0x1db64d54, "try_module_get" },
	{ 0xe1b01d5e, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x3d90a265, "__bio_add_page" },
	{ 0xb3fb9e46, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8bdf6b7b, "proc_create" },
	{ 0xb8ee307c, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0x41cbd5da, "seq_release" },
	{ 0xe47b3b2e, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xaea2e0a8, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x4623ddaf, "queue_limits_stack_bdev" },
	{ 0xd707f174, "fget" },
	{ 0x5dcb6288, "sysfs_unbreak_active_protection" },
	{ 0x1c9767d2, "invalidate_mapping_pages" },
	{ 0x5c6b953b, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa88bb4e8, "badblocks_exit" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0x84e4ccde, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x4ea4d07e, "ack_all_badblocks" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x5018a8ba, "kernfs_notify" },
	{ 0xece686d1, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x4fe12728, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79233eaf, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe83b1835, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7bd3141, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7dc777a, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf94ed7fd, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x123f9b19, "unregister_sysctl_table" },
	{ 0x9f4f69c2, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xa15b1a6c, "sync_blockdev" },
	{ 0x572d70dd, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x45c0bfa3, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x66a97299, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7b713d8c, "submit_bio" },
	{ 0xe3d40e93, "module_put" },
	{ 0x12859b42, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9fe4d068, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc2c5802, "work_busy" },
	{ 0x149c4222, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xb14407be, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xf58dfebd, "bio_put" },
	{ 0x3565d445, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9a861155, "__SCK__tp_func_block_bio_remap" },
	{ 0x1ad22664, "fput" },
	{ 0x7aaad482, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4bdeb765, "sysfs_remove_link" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x82fa9bd7, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xedd9ffe0, "blk_sync_queue" },
	{ 0x81592cc3, "seq_file_path" },
	{ 0x250be789, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9bfefd4a, "seq_putc" },
	{ 0xbd964a8d, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x74239b27, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7f18e63d, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6c20d2dd, "sysfs_create_group" },
	{ 0xe71ca4ff, "__put_devmap_managed_folio_refs" },
	{ 0x2d327086, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x908275bd, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x53259b0e, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa18d9f66, "bio_init" },
	{ 0xed714da2, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x25d16029, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0xd2238a57, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4601f149, "kthread_create_on_node" },
	{ 0xaabbee97, "sysfs_remove_group" },
	{ 0x8efa77b2, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1bb0edd4, "kobject_del" },
	{ 0x2b98e69f, "vfs_fsync" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x1bed4207, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1285239, "param_ops_bool" },
	{ 0x9832c273, "bioset_init" },
	{ 0x3c90fde7, "file_path" },
	{ 0x19ac5c7e, "kernfs_put" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BDAE61059C9A1FB994D17E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
