#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xd74565dd, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xe5b8ae0a, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x33fd01cb, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x2a2a50aa, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xf7852d7c, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x291f2f2e, "");
SYMBOL_CRC(cx88_wakeup, 0x2a98d96e, "");
SYMBOL_CRC(cx88_shutdown, 0x6644c4a7, "");
SYMBOL_CRC(cx88_reset, 0xb77bc01a, "");
SYMBOL_CRC(cx88_set_scale, 0xeb4e9437, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x32a97132, "");
SYMBOL_CRC(cx88_vdev_init, 0x31e72dc8, "");
SYMBOL_CRC(cx88_core_get, 0x3864ad78, "");
SYMBOL_CRC(cx88_core_put, 0x95b1061b, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x4cf5145b, "");
SYMBOL_CRC(cx88_newstation, 0xaa3fdc1c, "");
SYMBOL_CRC(cx88_get_stereo, 0x93fa473e, "");
SYMBOL_CRC(cx88_set_stereo, 0xa903cbcc, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x939815a4, "");
SYMBOL_CRC(cx88_ir_start, 0xb9338ce2, "");
SYMBOL_CRC(cx88_ir_stop, 0xfc8919dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35d1863, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xc5662fb9, "i2c_smbus_xfer" },
	{ 0x45c0bfa3, "const_pcpu_hot" },
	{ 0x2699838c, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5bf7bdc6, "rc_keyup" },
	{ 0xa618b536, "__v4l2_ctrl_grab" },
	{ 0x12cdfd8c, "i2c_unregister_device" },
	{ 0x1c138654, "tveeprom_read" },
	{ 0xdc0977d8, "rc_keydown_notimeout" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x427792da, "rc_register_device" },
	{ 0xf1e71871, "dma_alloc_attrs" },
	{ 0x753c8b94, "rc_keydown" },
	{ 0x81f8c78c, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x17927477, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x13af25f0, "freezing_slow_path" },
	{ 0xb7fb8dc8, "rc_free_device" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1ffe9ef, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc2bb8c17, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4d9df20c, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xf0c4cdb, "v4l2_ctrl_handler_free" },
	{ 0x4bb1518b, "i2c_transfer" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xce2262be, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xde1ad59, "hrtimer_forward" },
	{ 0x5c96addc, "v4l2_i2c_new_subdev" },
	{ 0x2c843a0d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x293f7a5a, "param_ops_int" },
	{ 0xed9d5622, "ir_raw_event_store_with_filter" },
	{ 0x555f99fb, "i2c_smbus_read_byte_data" },
	{ 0x1d963006, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe1929451, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x4856d8e9, "ir_raw_event_handle" },
	{ 0x955ab419, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x40269784, "i2c_bit_add_bus" },
	{ 0xd81e0fe6, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xfedbb7e6, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
