#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0xa475de58, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xe37e8aef, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x34cbcd73, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xe6d9f3fd, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x4bc6f0a9, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xc482f6d6, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x09163e60, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0xc2668c5d, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x4a97974e, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x43303709, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x5826ffb6, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x34475240, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x5d9d31ba, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xba8594df, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xa1935c60, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x67faf6f5, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x2a4de09c, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x7e2698d3, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x92219447, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x7c4f92e3, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2699838c, "i2c_del_adapter" },
	{ 0xd07dfe19, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c0ae8a2, "dvb_ca_en50221_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x427792da, "rc_register_device" },
	{ 0xf1e71871, "dma_alloc_attrs" },
	{ 0x753c8b94, "rc_keydown" },
	{ 0x86e5d637, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6c84704f, "dvb_dmxdev_release" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x44d741b, "param_ops_short" },
	{ 0xb7fb8dc8, "rc_free_device" },
	{ 0x3e5c49c9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x30ce1da1, "dvb_frontend_detach" },
	{ 0x2d103eb6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6d29498, "dma_set_coherent_mask" },
	{ 0x28abc93a, "dvb_net_release" },
	{ 0xf5d0606a, "dvb_ca_en50221_camready_irq" },
	{ 0xc2bb8c17, "rc_allocate_device" },
	{ 0x4b145b98, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x89106efd, "dvb_unregister_frontend" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xea193909, "dvb_ca_en50221_camchange_irq" },
	{ 0x4bb1518b, "i2c_transfer" },
	{ 0x743e0abd, "pci_disable_device" },
	{ 0xf9789837, "dvb_register_frontend" },
	{ 0x2c843a0d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6ce3b6f4, "dvb_unregister_adapter" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe1929451, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8f5496cd, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0xcb6e4cf8, "pci_enable_device" },
	{ 0x7a59b225, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xfedbb7e6, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
