#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xd83a20eb, "");
SYMBOL_CRC(prestera_device_unregister, 0xff6e6ec1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc687bbe, "eth_type_trans" },
	{ 0x8ec2bff2, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5a0e96, "dma_map_page_attrs" },
	{ 0x264df0ce, "napi_complete_done" },
	{ 0x94ddf1b9, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x89deb39e, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xca1bffa0, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa224dfea, "__alloc_skb" },
	{ 0x29332455, "switchdev_bridge_port_offload" },
	{ 0xabf40617, "flow_block_cb_incref" },
	{ 0xacd922cd, "flow_rule_match_ports_range" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77fa5be7, "free_fib_info" },
	{ 0x5f4e4f04, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x184eb1c0, "vlan_dev_real_dev" },
	{ 0x17a946b5, "__dev_get_by_index" },
	{ 0x3660235e, "devlink_port_unregister" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x976ccb71, "init_net" },
	{ 0xbc6eee7a, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7a45f9b3, "sk_skb_reason_drop" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x11457027, "flow_block_cb_decref" },
	{ 0xb777c4e3, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5865a497, "napi_enable" },
	{ 0xf1eafeb7, "register_netdev" },
	{ 0x4a322624, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9abe5f2a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcd5ba12, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0xf7d6000a, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x52217788, "flow_rule_match_ports" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x42d81910, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xab2475ea, "devlink_trap_report" },
	{ 0x50bc0efd, "__neigh_event_send" },
	{ 0xd5060b54, "flow_block_cb_alloc" },
	{ 0x7bae554e, "switchdev_handle_port_obj_add" },
	{ 0x7e51adde, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x7bbb1905, "__neigh_create" },
	{ 0xa518b341, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4d3bbe05, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x354fa02f, "alloc_netdev_dummy" },
	{ 0x3e8094a3, "neigh_destroy" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xb492ec60, "br_multicast_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8ab7b3a8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x157d6392, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x845f1898, "netdev_master_upper_dev_get_rcu" },
	{ 0xd4bd10fb, "devlink_traps_register" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x37da6c98, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x740f5d8b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf25426c0, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2c03930d, "devlink_priv" },
	{ 0xe5a3144a, "devlink_port_register_with_ops" },
	{ 0x9de9e975, "netif_carrier_on" },
	{ 0x18d82a10, "netdev_has_any_upper_dev" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x5c84f612, "devlink_trap_groups_register" },
	{ 0x1eb985b9, "arp_tbl" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0x374b51bf, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x29dbe04f, "netdev_walk_all_lower_dev" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4e5aaaf8, "napi_schedule_prep" },
	{ 0x2d217ca, "__fib_lookup" },
	{ 0x3271d2a1, "napi_disable" },
	{ 0x38d8ad5e, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x37e5ea9e, "devlink_trap_groups_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb2d787e3, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x1bf3a670, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x54526bb0, "alloc_etherdev_mqs" },
	{ 0xb122fb90, "netdev_lower_get_next" },
	{ 0x34aae6e6, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc5938fac, "br_vlan_enabled" },
	{ 0xd92d3b84, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeb88a2a4, "devlink_unregister" },
	{ 0x7ce44fd2, "dma_pool_create" },
	{ 0xfb5c16b8, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2ca8a08a, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1c20d972, "register_fib_notifier" },
	{ 0x4cf33c97, "l3mdev_fib_table_rcu" },
	{ 0x3f881a03, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x80c2f3f5, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfac84e03, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x285b41a5, "flow_rule_match_eth_addrs" },
	{ 0x1d5583d1, "devlink_port_attrs_set" },
	{ 0x33a6d646, "flow_block_cb_priv" },
	{ 0xd1a6689e, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d88d1d2, "devlink_alloc_ns" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x84a2d43c, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0x6bbd3eb2, "devlink_free" },
	{ 0x9cea8bb, "netdev_warn" },
	{ 0xf7230805, "flow_rule_match_ipv4_addrs" },
	{ 0xbda0a6b8, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xee9dbb69, "fib_table_lookup" },
	{ 0x3c2cfcf, "skb_pull_rcsum" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4a441fad, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb746dc3, "pskb_expand_head" },
	{ 0x92259990, "switchdev_handle_port_attr_set" },
	{ 0x8a7fbf23, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x5fbc8e3e, "dev_driver_string" },
	{ 0x4c1cd97c, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
