#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x765ab1ef, "_gpl");
SYMBOL_CRC(rndis_command, 0x1d85774d, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xe2ad82bb, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x57925d20, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0xa3880f95, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x562a7c18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1eeb7cd0, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e988fd6, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x3c11e049, "usbnet_generic_cdc_bind" },
	{ 0x12961947, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x774bcf2b, "__dynamic_netdev_dbg" },
	{ 0x4c1cd97c, "dev_addr_mod" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0xbc6eee7a, "skb_pull" },
	{ 0x4a1279e1, "skb_trim" },
	{ 0x704c3c00, "usbnet_cdc_zte_rx_fixup" },
	{ 0x2e162179, "skb_clone" },
	{ 0xe55da536, "usbnet_skb_return" },
	{ 0x3447ccfd, "skb_copy_expand" },
	{ 0x38d8ad5e, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x324cabe3, "usb_register_driver" },
	{ 0x4cc6f2a2, "usb_deregister" },
	{ 0xed0d2012, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e92e2a0, "usbnet_probe" },
	{ 0xfff1c871, "usbnet_disconnect" },
	{ 0x298ac1e8, "usbnet_suspend" },
	{ 0xce3437c2, "usbnet_resume" },
	{ 0x1c4b2e7d, "usbnet_open" },
	{ 0xe39639a7, "usbnet_stop" },
	{ 0x13f8c02c, "usbnet_start_xmit" },
	{ 0xf81a6d25, "eth_mac_addr" },
	{ 0x50d72216, "eth_validate_addr" },
	{ 0xb686b655, "usbnet_tx_timeout" },
	{ 0xc650921b, "dev_get_tstats64" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
