#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0x49283b7b, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0xcd389ed5, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x45e7fff4, "");
SYMBOL_CRC(ath12k_core_resume, 0xe2956206, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdb3d1462, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb8bbc6b3, "mhi_free_controller" },
	{ 0x432b1610, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfd9b41d6, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x3e5c49c9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x19bdcf64, "ieee80211_beacon_free_ema_list" },
	{ 0x998ea69e, "__netdev_alloc_skb" },
	{ 0x30ccd42c, "ieee80211_iterate_stations_mtx" },
	{ 0x490a9619, "ieee80211_ready_on_channel" },
	{ 0xfee61c68, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a1279e1, "skb_trim" },
	{ 0xa5fa6225, "qmi_handle_release" },
	{ 0x9504ede6, "skb_cow_data" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6d29498, "dma_set_coherent_mask" },
	{ 0x619f453b, "mhi_alloc_controller" },
	{ 0x767a4e0f, "skb_realloc_headroom" },
	{ 0x9beb465b, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf65b6c, "mhi_unregister_controller" },
	{ 0x7eaf3bfc, "ieee80211_vif_to_wdev" },
	{ 0x354fa02f, "alloc_netdev_dummy" },
	{ 0x4b145b98, "dma_free_attrs" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0x77fcee06, "ieee80211_scan_completed" },
	{ 0xa81d3d4d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xda3fb445, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xff455c20, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3d957637, "pskb_put" },
	{ 0x695d525, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x743e0abd, "pci_disable_device" },
	{ 0xb93c480f, "ieee80211_radar_detected" },
	{ 0x7bc92b90, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x9ea561cd, "ieee80211_queue_work" },
	{ 0x4e5aaaf8, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x3271d2a1, "napi_disable" },
	{ 0x38d8ad5e, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x8e1c7108, "crypto_alloc_shash" },
	{ 0xf087a644, "pci_write_config_word" },
	{ 0x9ff8ea20, "ieee80211_beacon_get_template_ema_list" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xa9737a83, "pci_release_region" },
	{ 0x10278129, "mhi_prepare_for_power_up" },
	{ 0x2d6cd873, "pci_free_irq_vectors" },
	{ 0xb5711926, "qmi_add_lookup" },
	{ 0x137474d0, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x860de29c, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x962f96ff, "device_set_wakeup_enable" },
	{ 0x39d24429, "pcie_capability_read_word" },
	{ 0x98c178d2, "completion_done" },
	{ 0x71af6677, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaa207baf, "pci_request_region" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xba225964, "is_acpi_device_node" },
	{ 0xfc01616e, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x955ab419, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcb6e4cf8, "pci_enable_device" },
	{ 0xfb5c16b8, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2461a103, "firmware_request_nowarn" },
	{ 0x1ce9f8f3, "mhi_power_down_keep_dev" },
	{ 0x5e2ec08c, "qmi_handle_init" },
	{ 0x79fd0e9e, "consume_skb" },
	{ 0xaf5f27b8, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf72a9057, "pci_alloc_irq_vectors" },
	{ 0x3f881a03, "netif_napi_add_weight" },
	{ 0xcafce962, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8df47868, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x3c101e92, "mhi_sync_power_up" },
	{ 0x53dcd51e, "mhi_power_down" },
	{ 0x1d6777d2, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x62627bab, "mhi_pm_resume" },
	{ 0x7d7866c9, "ieee80211_free_hw" },
	{ 0xfac84e03, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x945d937b, "__pci_register_driver" },
	{ 0xe22aab9b, "pci_assign_resource" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x80deb5f3, "ieee80211_get_fils_discovery_tmpl" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc2999bca, "in6_dev_finish_destroy" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0x6cd10150, "ieee80211_register_hw" },
	{ 0xefd8187e, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xec26f563, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x94de8274, "pci_irq_vector" },
	{ 0xbda0a6b8, "__netif_napi_del" },
	{ 0x615b8951, "mhi_register_controller" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0x95f0996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb746dc3, "pskb_expand_head" },
	{ 0x5fbc8e3e, "dev_driver_string" },
	{ 0x9dc091f3, "ieee80211_tx_status_skb" },
	{ 0xea50ef92, "crypto_destroy_tfm" },
	{ 0x1b79af7e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5a0e96, "dma_map_page_attrs" },
	{ 0xcc2866db, "panic_notifier_list" },
	{ 0x8786fda6, "qmi_send_request" },
	{ 0x264df0ce, "napi_complete_done" },
	{ 0x3db194a8, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2a44443a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x563a15a8, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xca1bffa0, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e8e38c1, "cfg80211_put_bss" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x33489a18, "qmi_txn_wait" },
	{ 0x9b91a77a, "mhi_pm_suspend" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x47554087, "skb_queue_tail" },
	{ 0x76093612, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x8642c1ef, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x64b9728c, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x5320a6ef, "crypto_shash_setkey" },
	{ 0xbc6eee7a, "skb_pull" },
	{ 0xb0eb3f6, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x78e5f164, "qmi_txn_cancel" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7a45f9b3, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2f9797df, "irq_get_irq_data" },
	{ 0xdf78eaad, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x81cc8e6c, "ieee80211_remain_on_channel_expired" },
	{ 0x8bdba1a9, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb777c4e3, "skb_push" },
	{ 0xf1e71871, "dma_alloc_attrs" },
	{ 0x90ac0683, "pci_read_config_word" },
	{ 0x5865a497, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6d40130a, "ieee80211_wake_queues" },
	{ 0x9abe5f2a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x84339f8e, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x33ba5641, "ieee80211_beacon_get_template" },
	{ 0x8bc27991, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6c676952, "ieee80211_free_txskb" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mhi,cfg80211,qmi_helpers");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B7365A1A89453E38DE2D345");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
