#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x4a81c05d, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xbe4b900c, "_gpl");
SYMBOL_CRC(tls_get_record, 0x74ef305c, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x1c16efb5, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x0224df1c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f5bcc7e, "sk_msg_clone" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa224dfea, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x45c0bfa3, "const_pcpu_hot" },
	{ 0xce5d9ec, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x5e03276b, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x5b14b8f8, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x65b80bd4, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x93385381, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xeed7fd81, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x37b5646e, "crypto_aead_encrypt" },
	{ 0x7a45f9b3, "sk_skb_reason_drop" },
	{ 0x906a556f, "__SCK__tp_func_sk_data_ready" },
	{ 0x1af185ac, "bpf_trace_run5" },
	{ 0xe867128e, "sk_free" },
	{ 0xd09c17c2, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x45574fec, "__sk_mem_reclaim" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8a468758, "sk_stream_wait_memory" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf8b264ca, "trace_event_reg" },
	{ 0xdbb34c23, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa6a5b03a, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2547fc3b, "lock_sock_nested" },
	{ 0xe71ca4ff, "__put_devmap_managed_folio_refs" },
	{ 0x476ef2f1, "sk_msg_return_zero" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xa697143b, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x27931222, "bpf_trace_run1" },
	{ 0x2262e226, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9936bd4d, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x621f7a03, "sock_efree" },
	{ 0x473cc902, "iov_iter_bvec" },
	{ 0x3db672, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x564871e2, "clean_acked_data_disable" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x77854572, "sk_msg_free_partial" },
	{ 0xeddd417, "down_read" },
	{ 0x4a1279e1, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x7ce70aa4, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad5f70c, "tcp_register_ulp" },
	{ 0xbf672ff2, "bpf_trace_run3" },
	{ 0x98d445d6, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x96ae4f57, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xcdd8f330, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe7bedafc, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6c4e182d, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4089e8b9, "remove_proc_entry" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x32d0e50c, "seq_printf" },
	{ 0x8edb3088, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e162179, "skb_clone" },
	{ 0xb1357fad, "dst_release" },
	{ 0x3e4b2316, "_copy_from_iter" },
	{ 0x421b8626, "skb_copy_header" },
	{ 0xbe503ab6, "sk_msg_trim" },
	{ 0xa57291d3, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xfd967431, "netdev_sk_get_lowest_dev" },
	{ 0x705fb876, "sk_msg_alloc" },
	{ 0xe5572c6b, "_copy_from_iter_nocache" },
	{ 0xb83e9fd5, "tcp_rate_check_app_limited" },
	{ 0x8c018ff, "tcp_poll" },
	{ 0xdb5fc5fe, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x5d9aca39, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9b69b8ff, "skb_to_sgvec" },
	{ 0xbb53856b, "up_read" },
	{ 0x8e6edec0, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xfbb7229e, "tcp_read_done" },
	{ 0xa264ea9b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xed1f83a4, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x24f38d0, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xea2f0d34, "tcp_read_sock" },
	{ 0xa574ba43, "bpf_trace_run4" },
	{ 0xa84845c8, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x242c7641, "sk_page_frag_refill" },
	{ 0xfb5c16b8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd59e2cf0, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x79fd0e9e, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xffa17c43, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9473e75b, "sk_psock_msg_verdict" },
	{ 0x310edb64, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe03d5377, "__trace_trigger_soft_disabled" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x74d7e447, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15de861, "iov_iter_get_pages2" },
	{ 0x6904d060, "___pskb_trim" },
	{ 0x500ed5c8, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xfb419f15, "clean_acked_data_enable" },
	{ 0xa4072ee, "skb_splice_bits" },
	{ 0x9e2d48e6, "crypto_alloc_aead" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb8d87d3f, "__tracepoint_sk_data_ready" },
	{ 0xa548b3f, "crypto_aead_setauthsize" },
	{ 0x7a72e31d, "crypto_aead_decrypt" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa818e2ff, "sk_stream_error" },
	{ 0xf0f808b5, "sk_msg_recvmsg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78da8dd2, "sk_msg_memcopy_from_iter" },
	{ 0x9fe5bbe7, "sk_error_report" },
	{ 0x643e10d, "register_pernet_subsys" },
	{ 0xe42a4f79, "put_cmsg" },
	{ 0xec8fe4d9, "__sk_flush_backlog" },
	{ 0x3f68acf2, "trace_event_buffer_commit" },
	{ 0xea50ef92, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x2efeccf, "sk_psock_tls_strp_read" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3BA901BC21E2405D588312");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
