#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xcada38ee, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x3b8b42fc, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x30ba5e00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadba1f1e, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10fb033b, "cs35l56_get_calibration" },
	{ 0xa95e846a, "__pm_runtime_set_status" },
	{ 0xf31b5517, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc87808, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xe4679946, "device_property_read_u32_array" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd4ba72c8, "cs35l56_init_cs_dsp" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd8f7526, "cs_dsp_halo_init" },
	{ 0x566b4bd4, "cs_dsp_power_down" },
	{ 0x2a94d80e, "debugfs_remove" },
	{ 0xe0cd65c4, "cs35l56_runtime_suspend_common" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa74d6a17, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa82c73d0, "cs35l56_mbox_send" },
	{ 0x45c9a1f0, "cs35l56_hw_init" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x72362dc3, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf81e829b, "cs_dsp_power_up" },
	{ 0xbeb02f3, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x76132d4a, "cs35l56_wait_for_firmware_boot" },
	{ 0x7cf1b663, "devm_kasprintf" },
	{ 0xbb2c6324, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x453165bb, "cs35l56_is_fw_reload_needed" },
	{ 0x67e0abcb, "regmap_read" },
	{ 0xdfb38231, "cs_dsp_run" },
	{ 0xdd2bae79, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xedcc9f45, "cs_amp_write_cal_coeffs" },
	{ 0x99b987cc, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x18871b10, "cs35l56_runtime_resume_common" },
	{ 0x1838696c, "regmap_update_bits_base" },
	{ 0xb87a8473, "dev_err_probe" },
	{ 0xb89a772b, "regmap_multi_reg_write" },
	{ 0x46ee3dea, "__pm_runtime_suspend" },
	{ 0x218362c4, "component_add" },
	{ 0x51ed00f6, "set_primary_fwnode" },
	{ 0x70dbc2bc, "__pm_runtime_use_autosuspend" },
	{ 0xcbd9da75, "devm_gpiod_get_index_optional" },
	{ 0xd70d7445, "__pm_runtime_disable" },
	{ 0x6d408620, "debugfs_create_dir" },
	{ 0x156dc198, "cs35l56_firmware_shutdown" },
	{ 0x51bc84ca, "pm_runtime_force_suspend" },
	{ 0x99f030c7, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x91a8ffe9, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7cb1d6a9, "regcache_cache_only" },
	{ 0xba225964, "is_acpi_device_node" },
	{ 0xa63638cb, "regcache_sync" },
	{ 0xe0637d7d, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x2461a103, "firmware_request_nowarn" },
	{ 0x390218e1, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9da82624, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8728c95d, "cs_dsp_stop" },
	{ 0x5e1a969c, "pm_runtime_set_autosuspend_delay" },
	{ 0xff4b38df, "gpiod_set_value_cansleep" },
	{ 0x603fa517, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa27b8c0, "sound_debugfs_root" },
	{ 0x2546835, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6777cf40, "cs_dsp_init_debugfs" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "DF35788D1B6C76EFB434D87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
