#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x1ec3a553, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x861f29a7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x4eb211c9, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x260e3cb4, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xcfeeab17, "");
SYMBOL_CRC(asoc_sdw_startup, 0x44948117, "");
SYMBOL_CRC(asoc_sdw_prepare, 0xcc539b63, "");
SYMBOL_CRC(asoc_sdw_trigger, 0xc8939e86, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x68668a28, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x0bf85baf, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xb16279c0, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0xdd3ebaef, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x6316dde3, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0xd78e6624, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0xce7ed883, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x1aecdd1c, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x8a9e5b17, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x63f641a8, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x65a36ce7, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0x94d379ec, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0xdf92782c, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x3994b910, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0xd5d98b3e, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x7d7f77dd, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x03d26d7a, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0xbd6f4c18, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0x9d17ee80, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x40610be8, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x6797fdb2, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x4aebb524, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x2dc8ee4b, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x2ea72cf2, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x066cd93b, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x91d4dc98, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x9a48985b, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x5f4d589c, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0xf5833156, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0xf80d1203, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x6151c316, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0x2e05ce7d, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0xdb8c1dbb, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x0e213efd, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0x0c9822df, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x8efa04aa, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x63e7c05a, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0xc3ff00f5, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0xbe780711, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x789c8433, "snd_soc_dai_set_tdm_slot" },
	{ 0x75436812, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdaf7dc66, "snd_soc_dapm_disable_pin" },
	{ 0x615e8fcb, "snd_soc_component_set_sysclk" },
	{ 0xe88275f4, "snd_soc_dai_set_sysclk" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x33a7bc73, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x923b1eb8, "snd_soc_component_set_jack" },
	{ 0x93ff72b, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16e8f6b7, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf625880, "fwnode_create_software_node" },
	{ 0xca80a9df, "snd_soc_dapm_get_pin_switch" },
	{ 0x4cde88bf, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x228f9b51, "_dev_err" },
	{ 0xcc0b70ba, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x71891d59, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0xfedf141d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f47fab4, "device_remove_software_node" },
	{ 0x9a42fba1, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7cf1b663, "devm_kasprintf" },
	{ 0xe38edbff, "snd_soc_card_jack_new_pins" },
	{ 0xe5d0ea22, "snd_soc_dai_set_pll" },
	{ 0x4ed217c9, "snd_soc_dapm_new_controls" },
	{ 0xbbec2c2e, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbd66ceb, "snd_soc_dapm_put_pin_switch" },
	{ 0xd62beba0, "device_match_name" },
	{ 0xa97de5d1, "snd_soc_dapm_info_pin_switch" },
	{ 0x7ade2ebc, "snd_soc_add_card_controls" },
	{ 0x1145cca2, "device_add_software_node" },
	{ 0x16d1706b, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe21f27ed, "sdw_bus_type" },
	{ 0xa1ee27a3, "devm_kmalloc" },
	{ 0xa25fda3b, "to_software_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "6C41647632F304A037976CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
