#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0xc31e75be, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x89e08d75, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x06de5acb, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x237cf0d5, "");
SYMBOL_CRC(acp_dsp_block_read, 0xe3aa80df, "");
SYMBOL_CRC(acp_dsp_block_write, 0xb356ab5f, "");
SYMBOL_CRC(acp_get_bar_index, 0x3e2bbda8, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xb4a7e41e, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x4e8bd9c2, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x19dad4b3, "");
SYMBOL_CRC(acp_mailbox_write, 0x0b4a3fec, "");
SYMBOL_CRC(acp_mailbox_read, 0xfc640408, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xb3dcaed4, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x55b84c15, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0xf7b2cd7a, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0xf342f325, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0xc260f3ab, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x39d7b1c3, "");
SYMBOL_CRC(acp_pcm_open, 0xb68ba0d0, "");
SYMBOL_CRC(acp_pcm_close, 0xb196c4d3, "");
SYMBOL_CRC(acp_pcm_pointer, 0xd3699ddb, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xdbd90cb2, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x8d0e697a, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x2dd9c5ce, "");
SYMBOL_CRC(acp_sof_trace_release, 0x9b8d42dd, "");
SYMBOL_CRC(acp_sof_trace_init, 0xae58829f, "");
SYMBOL_CRC(sof_acp_common_ops, 0x6c0d4782, "");
SYMBOL_CRC(acp_probes_register, 0x1adefcbe, "");
SYMBOL_CRC(acp_probes_unregister, 0x6cb2224a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x780e27fa, "devm_ioremap" },
	{ 0xff08d258, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe6a638af, "snd_sgbuf_get_addr" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b79af7e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xb064b8e0, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfce3ac6, "sdw_amd_probe" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd3386674, "platform_device_unregister" },
	{ 0xf1e71871, "dma_alloc_attrs" },
	{ 0xed301562, "sof_client_dev_register" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x5c554c, "sof_print_oops_and_stack" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x420a5e31, "snd_sof_dsp_update_bits" },
	{ 0x8f86e47e, "sdw_amd_get_slave_info" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x3e5c49c9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x91e9c41e, "sof_io_read" },
	{ 0x7cf1b663, "devm_kasprintf" },
	{ 0x7af947e5, "snd_sof_ipc_reply" },
	{ 0x7638a205, "platform_device_register_full" },
	{ 0x4b145b98, "dma_free_attrs" },
	{ 0xe1285239, "param_ops_bool" },
	{ 0xda35946c, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa228a316, "snd_sof_dsp_panic" },
	{ 0x1d6797f5, "sof_client_dev_unregister" },
	{ 0x41b277b3, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbcc44f53, "pci_write_config_dword" },
	{ 0xe970ad73, "sof_io_write" },
	{ 0x70c3d72b, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x990b039f, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1e10876f, "sdw_amd_exit" },
	{ 0xb713a0b3, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xba225964, "is_acpi_device_node" },
	{ 0xa1ee27a3, "devm_kmalloc" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0e724f4, "pci_dev_put" },
	{ 0x1dc5504a, "pci_get_device" },
	{ 0xdad4e130, "request_firmware" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi,soundwire-amd,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "833CFAA1085A3A73ED29894");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
