#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x795813aa, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x9fd0bf2d, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x22a403e5, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xaaea4ff0, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x931667b2, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0x9d65cc2e, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x4627db47, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x8f83af41, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x310ba6e8, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0xd4f7f60f, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x833f1c9a, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x4b8c0ceb, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0xaf622c40, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x30131788, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x8106d0be, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x43721693, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1ee27a3, "devm_kmalloc" },
	{ 0x7aa3eb47, "snd_hdac_bus_send_cmd" },
	{ 0xc3bd55a9, "snd_hdac_bus_get_response" },
	{ 0xa2838d63, "snd_hdac_bus_update_rirb" },
	{ 0x5673039d, "snd_hdac_codec_modalias" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0x86ff4023, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16e8f6b7, "put_device" },
	{ 0x2a59b0d4, "snd_hdac_device_register" },
	{ 0xb6f05ed3, "snd_hdac_i915_init" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x71743c92, "snd_hdac_device_unregister" },
	{ 0xbf337c16, "device_attach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb7f29491, "snd_hdac_bus_stop_cmd_io" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x60ad241a, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8806d33b, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaffab236, "snd_hdac_acomp_exit" },
	{ 0xdd2bae79, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd92e2947, "snd_hda_codec_device_init" },
	{ 0x5cac018f, "snd_hdac_set_codec_wakeup" },
	{ 0x293f7a5a, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "E5CA2C9BB58C816C5B84F55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
