#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(sof_skl_ops, 0x5e182520, "");
SYMBOL_CRC(sof_skl_ops_init, 0x2628004e, "");
SYMBOL_CRC(skl_chip_info, 0x46720caa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab5629f, "hda_dsp_disable_interrupts" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xace8f3d, "hda_power_down_dsp" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0x95f0996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9638d2be, "hda_dsp_enable_core" },
	{ 0x17670b24, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16238572, "sof_hda_common_ops" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5fa9c11a, "hda_dsp_core_run" },
	{ 0x2ef9540a, "hda_dsp_core_stall_reset" },
	{ 0x8528e00b, "hda_pci_intel_probe" },
	{ 0x357d6e09, "hda_ipc4_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9b96b512, "snd_sof_dsp_dbg_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x18356273, "hda_dsp_core_reset_power_down" },
	{ 0x590d89a9, "sof_pci_remove" },
	{ 0x85354102, "hda_set_dai_drv_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x420a5e31, "snd_sof_dsp_update_bits" },
	{ 0xbb374ff9, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68351b02, "hda_dsp_check_ipc_irq" },
	{ 0x6ef62ffb, "hda_dsp_ipc4_irq_thread" },
	{ 0xb0279762, "hda_ops_free" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf2ea6658, "sof_pci_shutdown" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0b65eb8, "snd_soc_acpi_intel_skl_machines" },
	{ 0xc0647de2, "sof_pci_pm" },
	{ 0x1a6d8cec, "hda_dsp_ipc4_send_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xc8c4f151, "hda_dsp_core_is_enabled" },
	{ 0x58dc586e, "snd_dma_alloc_dir_pages" },
	{ 0x9be8e345, "hda_dsp_shutdown" },
	{ 0xcc8c8685, "snd_soc_acpi_intel_kbl_machines" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x945d937b, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-pcm,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E55446285A1759E063A0B1C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
