#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x907180a3, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x7772f91a, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xa7bd8e30, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xf6fed959, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xede5e2bd, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x9e8eb58c, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x8501686d, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x746a9da1, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xf3869c21, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x7b730597, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x4c32cdd5, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xfc37620f, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x5c93bf72, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x0f276d1e, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x659af748, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x56aaaf97, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57df684b, "drm_client_framebuffer_delete" },
	{ 0x4ebb9008, "dma_free_pages" },
	{ 0xdc80807e, "drm_client_framebuffer_create" },
	{ 0x2c8a8d44, "drm_fb_helper_deferred_io" },
	{ 0xb98797ae, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x379c1fd6, "drm_driver_legacy_fb_format" },
	{ 0x59504f41, "drm_fb_helper_fill_info" },
	{ 0x3bc95c96, "drm_gem_create_mmap_offset" },
	{ 0xf2c2ad01, "fb_deferred_io_init" },
	{ 0x1eefbf7c, "fb_deferred_io_cleanup" },
	{ 0x32ddcbf0, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5fbc8e3e, "dev_driver_string" },
	{ 0x31490c4c, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x681da890, "fb_sys_write" },
	{ 0xe8e272a9, "sys_imageblit" },
	{ 0xe11bd732, "drm_atomic_helper_damage_iter_init" },
	{ 0x90cfafc9, "drm_fb_helper_damage_range" },
	{ 0xabc210d9, "drm_fb_helper_blank" },
	{ 0x39d6ec83, "dma_alloc_pages" },
	{ 0x2509ac6f, "drm_gem_private_object_init" },
	{ 0x893864ba, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9317f689, "drm_fb_helper_damage_area" },
	{ 0xa9dcc6f3, "sys_fillrect" },
	{ 0xe3d40e93, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x504ee5d5, "drm_client_init" },
	{ 0xbdd2f4c4, "drm_gem_vm_close" },
	{ 0x5e61e042, "drm_gem_vm_open" },
	{ 0xcaa1c789, "drm_fb_helper_prepare" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x228f9b51, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x6475024b, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xf1e71871, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeccc2d2d, "drm_gem_handle_create" },
	{ 0xe4fa641f, "drm_gem_fb_get_obj" },
	{ 0x43f779d1, "__drm_dev_dbg" },
	{ 0x5cd2fd41, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9c9878b, "drm_fb_helper_pan_display" },
	{ 0x28146c8b, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x786a7580, "sys_copyarea" },
	{ 0x4b145b98, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x8ab7b3a8, "__dma_sync_single_for_device" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84f40b6f, "drm_client_buffer_vunmap" },
	{ 0xa47e02ae, "fb_sys_read" },
	{ 0xd368fc25, "drm_fb_helper_debug_leave" },
	{ 0xd661b8a6, "dma_buf_vmap_unlocked" },
	{ 0x15c5a287, "dma_mmap_attrs" },
	{ 0xe3e59742, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x241800b9, "drm_fb_helper_initial_config" },
	{ 0xae7268ab, "drm_fb_helper_unregister_info" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x20e51207, "drm_fb_helper_ioctl" },
	{ 0x56495598, "drm_fb_helper_set_par" },
	{ 0x3ccdc11c, "drm_prime_gem_destroy" },
	{ 0x56bcde3d, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1db64d54, "try_module_get" },
	{ 0xf714578b, "drm_fb_helper_init" },
	{ 0x89e791e0, "drm_fb_helper_debug_enter" },
	{ 0xf0b20d28, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xce91d59f, "drm_client_buffer_vmap" },
	{ 0xb15e0e45, "drm_fb_helper_lastclose" },
	{ 0x5c0ca3f5, "drm_fb_helper_setcmap" },
	{ 0xb8fade01, "drm_fb_helper_alloc_info" },
	{ 0x585ae1d4, "drm_helper_disable_unused_functions" },
	{ 0xee02b722, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x89229869, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x99e353b0, "drm_fb_helper_fini" },
	{ 0x47d8fe1c, "dma_mmap_pages" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B9CB4C28E63F409E517E0F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
