#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0x0a083e9c, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0x4712508c, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0x87376e13, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x358833d4, "iio_buffer_put" },
	{ 0xc86949cf, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xca654be2, "iio_dma_buffer_block_done" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd6b04fb, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x7e9020da, "dma_request_chan" },
	{ 0x11a68786, "dma_get_slave_caps" },
	{ 0x8563ab72, "iio_dma_buffer_init" },
	{ 0x5f7d9837, "iio_device_attach_buffer" },
	{ 0x467c4c08, "__devm_add_action" },
	{ 0x5f32e2a9, "iio_dma_buffer_read" },
	{ 0x269d29df, "iio_dma_buffer_usage" },
	{ 0x63882fc3, "iio_dma_buffer_write" },
	{ 0x426c7828, "iio_dma_buffer_request_update" },
	{ 0xa5f2aed8, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0x225b278, "iio_dma_buffer_set_length" },
	{ 0x7fcff7d5, "iio_dma_buffer_enable" },
	{ 0x9095304d, "iio_dma_buffer_disable" },
	{ 0xba1c9c26, "iio_dma_buffer_attach_dmabuf" },
	{ 0x13ef97ec, "iio_dma_buffer_detach_dmabuf" },
	{ 0xbe133063, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0x527b1705, "iio_dma_buffer_lock_queue" },
	{ 0x3647efa4, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7de4189, "iio_dma_buffer_exit" },
	{ 0x3aef6614, "dma_release_channel" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-buffer-dma");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
