#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xbeb3516d, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x10d722af, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x4155b4be, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x55b42354, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x7151fb95, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x8abc3843, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x54c283d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x248458ab, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x47ced57d, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xf041713d, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x2699838c, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6db94fc8, "vb2_plane_cookie" },
	{ 0x19b0e907, "vb2_ioctl_dqbuf" },
	{ 0xf70654ff, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8d724a68, "vb2_ioctl_prepare_buf" },
	{ 0xf1e71871, "dma_alloc_attrs" },
	{ 0x81f8c78c, "vb2_buffer_done" },
	{ 0x59381660, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x35ef1235, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe5c6bac8, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfbf555b1, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3e5c49c9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89f25499, "vb2_fop_read" },
	{ 0xc1ffe9ef, "v4l2_device_register" },
	{ 0x2d103eb6, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4b145b98, "dma_free_attrs" },
	{ 0x7f11c2bb, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x630c6cd3, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x616da0c, "vb2_ioctl_streamon" },
	{ 0x74672cf0, "vb2_fop_poll" },
	{ 0xb2a9d151, "v4l2_ctrl_new_std" },
	{ 0xf0c4cdb, "v4l2_ctrl_handler_free" },
	{ 0xce2262be, "v4l2_device_unregister" },
	{ 0x743e0abd, "pci_disable_device" },
	{ 0x7bc92b90, "dma_set_mask" },
	{ 0x2c843a0d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x293f7a5a, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1d963006, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2e330333, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xca3f7ca2, "vb2_ioctl_reqbufs" },
	{ 0x9d0755e, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x51803ebe, "vb2_dma_sg_memops" },
	{ 0x40a1bf41, "video_ioctl2" },
	{ 0xcb6e4cf8, "pci_enable_device" },
	{ 0x8cb02c9a, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83434cdb, "vb2_ops_wait_finish" },
	{ 0x945d937b, "__pci_register_driver" },
	{ 0xd81e0fe6, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xfedbb7e6, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x64b62df0, "vb2_ioctl_querybuf" },
	{ 0x117e0727, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x95f0996, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
