#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ocelot_chip_reset, "", "MFD_OCELOT");
KSYMTAB_FUNC(ocelot_core_init, "", "MFD_OCELOT");
KSYMTAB_FUNC(ocelot_spi_init_regmap, "", "MFD_OCELOT_SPI");

SYMBOL_CRC(ocelot_chip_reset, 0x45d4ac5f, "");
SYMBOL_CRC(ocelot_core_init, 0x7e1e9cde, "");
SYMBOL_CRC(ocelot_spi_init_regmap, 0x77ba3e46, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21c4c4bc, "spi_sync" },
	{ 0x638a4f74, "dev_get_regmap" },
	{ 0xd56cf5e7, "driver_unregister" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf212f826, "spi_setup" },
	{ 0x67e0abcb, "regmap_read" },
	{ 0x27ca4c9e, "__spi_register_driver" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb87a8473, "dev_err_probe" },
	{ 0x450b7c5c, "devm_mfd_add_devices" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d2cdb2a, "__devm_regmap_init" },
	{ 0xe0637d7d, "regmap_write" },
	{ 0xa1ee27a3, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cmscc,vsc7512");
MODULE_ALIAS("of:N*T*Cmscc,vsc7512C*");
MODULE_ALIAS("spi:vsc7512");

MODULE_INFO(srcversion, "CF387559494CF15BA8181D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
