#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xffec2b39, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x154ed753, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xd41580d1, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x292520cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb020ab7b, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x370981cb, "unregister_netdevice_queue" },
	{ 0x7f286198, "netdev_upper_dev_unlink" },
	{ 0x4c1cd97c, "dev_addr_mod" },
	{ 0x14e09b9a, "dev_uc_add" },
	{ 0x494adba7, "dev_set_mtu" },
	{ 0x9d85c363, "netdev_update_features" },
	{ 0x1dafb782, "netif_stacked_transfer_operstate" },
	{ 0x382c8b3, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2e162179, "skb_clone" },
	{ 0xc490c97d, "netif_rx" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfac857fb, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x79fd0e9e, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4d3bbe05, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x6f99cd58, "__dev_queue_xmit" },
	{ 0xd8547d68, "dev_forward_skb" },
	{ 0x9c246956, "netpoll_send_skb" },
	{ 0x83ceda7e, "__netif_rx" },
	{ 0x215f4701, "ip_check_defrag" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcf3950a, "netdev_core_stats_inc" },
	{ 0x17a946b5, "__dev_get_by_index" },
	{ 0xbfbbdd5a, "netdev_is_rx_handler_busy" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e8adca4, "netdev_rx_handler_register" },
	{ 0xf976b6b7, "register_netdevice" },
	{ 0x5b0f312f, "netdev_upper_dev_link" },
	{ 0x7bb4b302, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78518b8e, "passthru_features_check" },
	{ 0x50d72216, "eth_validate_addr" },
	{ 0x742887cc, "ndo_dflt_fdb_dump" },
	{ 0xbcd5ba12, "ethtool_op_get_link" },
	{ 0x3812d3b9, "eth_header_parse" },
	{ 0x6c34b172, "eth_header_cache" },
	{ 0xeccb9e4e, "eth_header_cache_update" },
	{ 0xd23d85ae, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d4e1a44, "ether_setup" },
	{ 0x2a29dbea, "__ethtool_get_link_ksettings" },
	{ 0xaf619235, "ethtool_get_ts_info_by_layer" },
	{ 0x976ccb71, "init_net" },
	{ 0xf7a5186f, "generic_hwtstamp_set_lower" },
	{ 0x745d8298, "generic_hwtstamp_get_lower" },
	{ 0x6443d171, "dev_mc_del" },
	{ 0x823512fb, "dev_uc_del" },
	{ 0xf92d6169, "dev_mc_add_excl" },
	{ 0x3edbc83a, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6a11416c, "__netpoll_free" },
	{ 0x5ce8f7a4, "vlan_vid_del" },
	{ 0x69335db8, "vlan_vid_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d898f60, "dev_uc_sync" },
	{ 0x7816042f, "dev_mc_sync" },
	{ 0x98920aea, "dev_set_allmulti" },
	{ 0x2512d55f, "dev_set_promiscuity" },
	{ 0xd59d9185, "dev_uc_unsync" },
	{ 0xd8168d78, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x749e3095, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7a45f9b3, "sk_skb_reason_drop" },
	{ 0xa8a5c2b4, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x54e68d23, "netif_inherit_tso_max" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40630b3e, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2a2f273e, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8d304f20, "nla_put" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC2F2998AE48C1601910740");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
