#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x0b242509, "");
SYMBOL_CRC(ntb_unregister_client, 0xd7c7cbd6, "");
SYMBOL_CRC(ntb_register_device, 0xbe3c82de, "");
SYMBOL_CRC(ntb_unregister_device, 0xfd38d8a5, "");
SYMBOL_CRC(ntb_set_ctx, 0x2a755a63, "");
SYMBOL_CRC(ntb_clear_ctx, 0x5d31d179, "");
SYMBOL_CRC(ntb_link_event, 0xef8fa405, "");
SYMBOL_CRC(ntb_db_event, 0x65e74deb, "");
SYMBOL_CRC(ntb_msg_event, 0x41f8deac, "");
SYMBOL_CRC(ntb_default_port_number, 0xcdd490dc, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x174e7d0b, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x1602de1b, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x7e3d9a8d, "");
SYMBOL_CRC(ntb_msi_init, 0xc5986cdd, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x9cb96070, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xa85d9c73, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xf8b84696, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xf4264822, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xf106035b, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x074a155e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46f21e9b, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xec52c312, "devm_iounmap" },
	{ 0x4ff267b4, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x98aee5f5, "devres_destroy" },
	{ 0xa41f472c, "msi_unlock_descs" },
	{ 0x780e27fa, "devm_ioremap" },
	{ 0xc95c4d68, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xa1a08b40, "msi_lock_descs" },
	{ 0x32b48efa, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16e8f6b7, "put_device" },
	{ 0x850c7988, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb574e67, "bus_unregister" },
	{ 0x31482881, "devm_kfree" },
	{ 0x2f9797df, "irq_get_irq_data" },
	{ 0x7efade24, "__devres_alloc_node" },
	{ 0xd56cf5e7, "driver_unregister" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x947270af, "device_register" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7668b6a4, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb5a1afde, "msi_next_desc" },
	{ 0x5c875c84, "driver_register" },
	{ 0xe3188369, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xedee7e0d, "devm_request_threaded_irq" },
	{ 0xa1ee27a3, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
