#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0xc8f0314e, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0xc9ef3147, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0x69e6d832, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0x2f85ff75, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x16e8f6b7, "put_device" },
	{ 0xec3e43df, "bus_for_each_dev" },
	{ 0xe3d40e93, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xfb574e67, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x228f9b51, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xcc0b70ba, "bus_find_device" },
	{ 0x2ad5b913, "device_add" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2a94d80e, "debugfs_remove" },
	{ 0x6573f300, "ida_free" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37757669, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x8efa77b2, "seq_read" },
	{ 0x94bad305, "debugfs_create_file" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xcf5b42ae, "seq_write" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x32d0e50c, "seq_printf" },
	{ 0x12080905, "device_match_any" },
	{ 0xbf4c145f, "seq_open" },
	{ 0x467c4c08, "__devm_add_action" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xbb53856b, "up_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7331ad18, "__dev_fwnode" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xe3188369, "bus_register" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x1db64d54, "try_module_get" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x46f21e9b, "dev_set_name" },
	{ 0x41cbd5da, "seq_release" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x51874fa1, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x84e4ccde, "seq_lseek" },
	{ 0xc95c4d68, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd195491f, "device_set_node" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
