#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x24b13711, "");
SYMBOL_CRC(ssb_bus_suspend, 0x061b5f7c, "");
SYMBOL_CRC(ssb_bus_unregister, 0x436279e6, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xab67fb75, "");
SYMBOL_CRC(__ssb_driver_register, 0x4343de91, "");
SYMBOL_CRC(ssb_driver_unregister, 0xac74b23e, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x36802eb4, "");
SYMBOL_CRC(ssb_clockspeed, 0x4cd59507, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xb8c79536, "");
SYMBOL_CRC(ssb_device_enable, 0x5113a11b, "");
SYMBOL_CRC(ssb_device_disable, 0x4152dbac, "");
SYMBOL_CRC(ssb_dma_translation, 0x1c1632c7, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x09829cc2, "");
SYMBOL_CRC(ssb_bus_powerup, 0x320f3197, "");
SYMBOL_CRC(ssb_commit_settings, 0xe676ea91, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xda604e9b, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x3b6a0eda, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x88c2ff54, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x31b9419e, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x2f3a2548, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x627086ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23f85fd9, "sdio_readsb" },
	{ 0x38c18096, "gpiochip_get_data" },
	{ 0xfb574e67, "bus_unregister" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc24e4d3c, "pcmcia_request_window" },
	{ 0x90ac0683, "pci_read_config_word" },
	{ 0x68ebff0e, "sdio_readl" },
	{ 0xd56cf5e7, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3c3fc3a8, "pcmcia_write_config_byte" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x432b1610, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x947270af, "device_register" },
	{ 0x9b4633e6, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe5b19c58, "sdio_writel" },
	{ 0x3e5c49c9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x8263612a, "gpiochip_add_data_with_key" },
	{ 0x4e3146a5, "_dev_emerg" },
	{ 0x7c4d758f, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa397ea2d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x743e0abd, "pci_disable_device" },
	{ 0xdd77b057, "sdio_writesb" },
	{ 0xd8dde79c, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x34af958f, "pcmcia_register_driver" },
	{ 0xf087a644, "pci_write_config_word" },
	{ 0xc58c4d89, "pcmcia_loop_tuple" },
	{ 0x7760e3f2, "pcmcia_enable_device" },
	{ 0x5c875c84, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbcc44f53, "pci_write_config_dword" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xecb7a6e3, "device_remove_file" },
	{ 0xe3188369, "bus_register" },
	{ 0x2343e4eb, "sdio_readb" },
	{ 0x9eca9493, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1e7b3a2e, "pci_save_state" },
	{ 0x6829e714, "sdio_release_host" },
	{ 0x962f96ff, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xcb6e4cf8, "pci_enable_device" },
	{ 0x55062f35, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x46f21e9b, "dev_set_name" },
	{ 0xb66f8a57, "sdio_claim_host" },
	{ 0xaf5f27b8, "pci_iomap" },
	{ 0x2148d6b0, "sdio_readw" },
	{ 0x4ff267b4, "device_unregister" },
	{ 0x6e0013af, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x945d937b, "__pci_register_driver" },
	{ 0xae849dd8, "pcmcia_unregister_driver" },
	{ 0x63c02a48, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x92bf951f, "pcmcia_map_mem_page" },
	{ 0x84a928b8, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x9322e2d8, "sdio_writew" },
	{ 0xc95c4d68, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0x95f0996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5fbc8e3e, "dev_driver_string" },
	{ 0x1b79af7e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16e8f6b7, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x35090605, "device_create_file" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
