#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x35eb4f60, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x2c32d87c, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x8eed1bd2, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x93b7cbaa, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xfc19378b, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xe61287c5, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x33001a6b, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x29588870, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x88a64450, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xfdd3adcb, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x8016bbbf, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x4db7f45c, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x0f5d92cd, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x32e3d381, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xf41caeeb, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x2b10db12, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x4d27b6fe, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xbc6eee7a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5cbae66, "dev_get_by_index" },
	{ 0xf96f5b, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe9d31f0f, "flow_indr_dev_setup_offload" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x9936bd4d, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x42d81910, "__pskb_pull_tail" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xc4ba9a65, "register_btf_kfunc_id_set" },
	{ 0xeddd417, "down_read" },
	{ 0x6ca36101, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4d3bbe05, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x6f99cd58, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3e8094a3, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46a29d95, "inet_proto_csum_replace4" },
	{ 0xcf5b42ae, "seq_write" },
	{ 0x4089e8b9, "remove_proc_entry" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0xe0dddbdd, "nf_ct_acct_add" },
	{ 0x32d0e50c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb1357fad, "dst_release" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xf07a4ba6, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbb53856b, "up_read" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0xdee26509, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x7838854d, "flow_rule_alloc" },
	{ 0x415286b2, "ip6_dst_check" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x474243d4, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc076b8c1, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6dee9291, "neigh_xmit" },
	{ 0xd1a6689e, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x1efed771, "ip6_output" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xdb3b1d89, "pcpu_hot" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x729aebe5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb746dc3, "pskb_expand_head" },
	{ 0x643e10d, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AA399DA632CEB267A45F19A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
