#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xf8ae644c, "");
SYMBOL_CRC(snd_ac97_read, 0xc8c1affe, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x436db0a1, "");
SYMBOL_CRC(snd_ac97_update, 0x2ed3f1fd, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x9d99875e, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x8248a35e, "");
SYMBOL_CRC(snd_ac97_bus, 0xb9361af8, "");
SYMBOL_CRC(snd_ac97_mixer, 0x1d608f89, "");
SYMBOL_CRC(snd_ac97_update_power, 0xae1fea5f, "");
SYMBOL_CRC(snd_ac97_suspend, 0xa881b5db, "");
SYMBOL_CRC(snd_ac97_resume, 0xb818fd73, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xddfa91ab, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x6783a89d, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x78d9df4e, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xa34b6f63, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x04cd6ae4, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x854692f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x16e8f6b7, "put_device" },
	{ 0x213a0f17, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x8159e3fc, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x157cb7eb, "snd_ctl_make_virtual_master" },
	{ 0x338aece9, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x24f38e5b, "snd_ctl_boolean_mono_info" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x90ac0683, "pci_read_config_word" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xd288ebd1, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6118e2a6, "snd_ctl_rename" },
	{ 0x947270af, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4bcaa2ad, "snd_device_new" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1285239, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x32d0e50c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1d0c18f3, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x293f7a5a, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x72753a8c, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x46f21e9b, "dev_set_name" },
	{ 0x390218e1, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4ff267b4, "device_unregister" },
	{ 0xf284c1e3, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0x12bb4844, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf31b5517, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
