#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x7bcad909, "");
SYMBOL_CRC(snd_trident_stop_voice, 0x606feba3, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xc04a80a8, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x59c8385c, "");
SYMBOL_CRC(snd_trident_free_voice, 0xcc8f10c0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb1c97fa, "snd_util_memhdr_free" },
	{ 0x30c790cd, "snd_mpu401_uart_new" },
	{ 0x7bc92b90, "dma_set_mask" },
	{ 0xbe949a, "snd_pcm_period_elapsed" },
	{ 0x8a05e13f, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x293f7a5a, "param_ops_int" },
	{ 0x6fffb836, "pcim_enable_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbcc44f53, "pci_write_config_dword" },
	{ 0x305aa6e7, "kmalloc_caches" },
	{ 0x80dc71fe, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xedee7e0d, "devm_request_threaded_irq" },
	{ 0x390218e1, "snd_ctl_add" },
	{ 0xb818fd73, "snd_ac97_resume" },
	{ 0xb60ad3b4, "snd_pcm_new" },
	{ 0x639fd0a1, "snd_card_register" },
	{ 0xf1a79df, "snd_devm_alloc_dir_pages" },
	{ 0x945d937b, "__pci_register_driver" },
	{ 0x4919d57f, "snd_pcm_hw_constraint_minmax" },
	{ 0xfedbb7e6, "param_array_ops" },
	{ 0x84a928b8, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c534bf3, "snd_card_rw_proc_new" },
	{ 0x1d608f89, "snd_ac97_mixer" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe6a638af, "snd_sgbuf_get_addr" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb9361af8, "snd_ac97_bus" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x95f0996, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf31b5517, "snd_ctl_new1" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xa881b5db, "snd_ac97_suspend" },
	{ 0x24f38e5b, "snd_ctl_boolean_mono_info" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x8614bcf, "snd_util_memhdr_new" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xea0f4dc8, "snd_ctl_notify" },
	{ 0x76fc7fc6, "snd_pcm_set_ops" },
	{ 0xd05c696, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6e156c47, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x3e5c49c9, "pci_set_master" },
	{ 0x8328c4b7, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6d29498, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x34f50913, "__snd_util_mem_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe1285239, "param_ops_bool" },
	{ 0x8359ad7, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4d9df20c, "pci_write_config_byte" },
	{ 0xeebb2189, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x32d0e50c, "seq_printf" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd-util-mem,snd-mpu401-uart,snd-pcm,snd,snd-ac97-codec");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5E695201FC2A5D668D0D91E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
