#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xbb2c6324, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xa82c73d0, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x156dc198, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x76132d4a, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x0beb02f3, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x54684576, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x453165bb, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xe0cd65c4, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x18871b10, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xd4ba72c8, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x10fb033b, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x72362dc3, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x45c9a1f0, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x27165ff2, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x1bd8c04e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xad8dc691, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x62e3f2e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedee7e0d, "devm_request_threaded_irq" },
	{ 0x6653dda3, "cs_amp_get_efi_calibration_data" },
	{ 0xc7426ba7, "regmap_raw_read" },
	{ 0x2546835, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x47595ca2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d930a35, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe4679946, "device_property_read_u32_array" },
	{ 0x4bfbe279, "_dev_info" },
	{ 0x96ff518d, "regmap_multi_reg_write_bypassed" },
	{ 0x228f9b51, "_dev_err" },
	{ 0x46759de4, "gpiod_put_array" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc82bf76, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2972d5c7, "regmap_read_bypassed" },
	{ 0x67e0abcb, "regmap_read" },
	{ 0xdd2bae79, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x16556370, "_dev_crit" },
	{ 0x1838696c, "regmap_update_bits_base" },
	{ 0xb87a8473, "dev_err_probe" },
	{ 0x46ee3dea, "__pm_runtime_suspend" },
	{ 0xc9358558, "regmap_register_patch" },
	{ 0x99f030c7, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9102b597, "gpiod_get_value_cansleep" },
	{ 0x7cb1d6a9, "regcache_cache_only" },
	{ 0xa63638cb, "regcache_sync" },
	{ 0xe0637d7d, "regmap_write" },
	{ 0xdc8f9300, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "D2419758D9135A5835F0063");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
